camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christian Schneider (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CAMEL-8051) feature camel-core does not install in karaf 4
Date Fri, 14 Nov 2014 16:12:34 GMT
Christian Schneider created CAMEL-8051:
------------------------------------------

             Summary: feature camel-core does not install in karaf 4
                 Key: CAMEL-8051
                 URL: https://issues.apache.org/jira/browse/CAMEL-8051
             Project: Camel
          Issue Type: Bug
          Components: camel-core, osgi
    Affects Versions: 2.14.0
            Reporter: Christian Schneider
            Assignee: Christian Schneider
             Fix For: 2.15.0


feature:repo-add camel 2.15-SNAPSHOT
feature:install -v camel-core

Karaf then tries to install the karaf shell console from karaf 2.4.0 which of course fails.

I first removed the reference to the karaf spring feature repo which transitively imported
the karaf standard feature.

After that change it could not resolve the package:
(org.apache.felix.service.command)(version>=0.14.0)(!(version>=1.0.0)

The problem here was that we forgot status=provisional in the import.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message